@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
}

/* inicio Header */

.menu-nav {
    list-style: none;
    display: flex;
}

header {
    box-shadow: 0 0 29px 0 rgba(23, 195, 201, 0.25);
    position: relative;
}

nav {
    display: flex;
    justify-content: flex-end;
}

.menu-nav__item {
    margin: 20px;
}

a {
    text-decoration: none;
    color: #212121;
}

.menu-responsive {
    display: none;
}

/* Fin seccion header */

/* Inicio Presentacion */

.seccion-presentacion {
    padding: 100px;
    display: flex;
    justify-content: space-between;
}

.description-item-img {
    width: 700px;
    height: auto;
}

.presentacion-item {
    padding-bottom: 20px;
    box-sizing: border-box;
}

.img-presentacion {
    width: 100%;
}

.item-name:hover {
    color: #305a57;
}

.item-saludo {
    font-weight: 700;
    font-size: 40px;
    margin: 0;
}

.item-name {
    color: #43F3E5;
    font-size: 70px;
    margin: 0;
    font-weight: 900;
}

.boton-item {
    padding: 15px;
    background-color: #43F3E5;
    border-radius: 50px;
    font-weight: 500;
    cursor: pointer;
}

.boton-item:hover {
    background-color: #305a57;
    color: #fff;
}

.item-description {
    color: gray;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 50px;
}

/* Fin presentacion */

/* Inicio Contenedor comocimientos */

.seccion-principal-conocimientos {
    background-color: #f6f7fb;
}

.skills-parrafo {
    text-align: center;
    margin: 20px;
}

.seccion-conocimientos {
    display: flex;
    justify-content: center;
    background-color: #f6f7fb;
}

.contenedor-conocimientos {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 830px;
    margin-bottom: 80px;
}

.contenido-conocimientos {
    width: 240px;
    height: 240px;
    background-color: white;
    margin: 10px;
    border-radius: 10px;
    border: 1px solid rgb(221, 219, 219);
    box-shadow: rgba(50, 50, 105, 0.15) 0px 2px 5px 0px, rgba(0, 0, 0, 0.05) 0px 1px 1px 0px;
}

.parrafo-conocimientos {
    text-align: center;
    font-weight: 700;
}

.img-item {
    display: flex;
    justify-content: center;
    background-color: white;
    height: 160px;
    align-items: center;
    font-size: 100px;
    border-radius: 10px;
}

/* Fin contenedor conocimientos */

/* CONTENEDOR CITA */

.container-cite {
    display: flex;
    justify-content: center;
    background: rgb(34, 193, 195);
    background: linear-gradient(0deg, rgba(34, 193, 195, 1) 0%, rgba(67, 243, 229, 1) 100%);
}

.fa-quote-right {
    font-size: 70px;
    color: rgb(143, 129, 129);
    margin: 50px;
}

.fa-quote-right:hover {
    color: white;
}

.container-cite-content {
    text-align: center;
    width: 800px;
}

.autor-content {
    font-weight: 600;
    margin: 60px;
}

.cite-item {
    font-size: 40px;
}

/* FIN CONTENEDOR CITA */

/* Inicio seccion  proyectos */

.project-section {
    display: flex;
    justify-content: center;
    background-color: white;
}

.project-container {
    background-color: white;
    display: flex;
    flex-wrap: wrap;
    width: 1100px;
    justify-content: center;
}

.card-container {
    width: 343px;
    height: 343px;
    background-color: white;
    margin: 10px;
    border-radius: 10px;
    border: 1px solid rgba(232, 217, 217, 0.816);
    cursor: pointer;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 2px 8px;
    position: relative;
    overflow: hidden;
}

.imagenes-proyecto {
    height: 220px;
    display: flex;
    justify-content: center;
}

.imagen_proyecto {
    width: 95%;
}

.parrafo-proyecto {
    text-align: center;
    margin: 0;
    padding: 0;
}

.container-main-project {
    text-align: center;
}

.skills-list-button {
    border: none;
    background-color: white;
    padding: 15px 40px;
    font-size: 20px;
    cursor: pointer;
}

.skills-list-button:focus {
    background-color: #43F3E5;
    border-radius: 50px;
    text-decoration: underline;
}

.container-button-modal {
    display: flex;
    justify-content: space-around;
}

.item-destacado {
    padding: 15px 40px;
    background-color: #43F3E5;
    border-radius: 50px;
}

.item-destacado:hover {
    background-color: #305a57;
    color: #fff;
}

.skills-list {
    margin: 50px;
}

.titulos {
    padding: 60px;
    font-size: 50px;
    text-align: center;
    font-weight: 800;
}

.parrafo-proyecto {
    font-weight: 600;
}

.skills-list-button:active {
    background-color: #305a57;
    color: white;
    transition: all 0.5s;
    border-radius: 50px;
}

/* Fin seccion proyectos */

/* Inicio footer */

.section-footer {
    background: rgb(34, 193, 195);
    background: linear-gradient(0deg, rgba(34, 193, 195, 1) 0%, rgba(67, 243, 229, 1) 100%);
    padding: 60px;
    margin-top: 90px;
}

.footer_navenlace, .media_list-enlace {
    list-style: none;
}

.footer-list, .media-list, .footer-item {
    display: flex;
    justify-content: center;
}

.footer_navenlace {
    margin: 10px;
    font-weight: 500;
}

.text-hover:hover {
    color: #305a57;
}

.media_list-enlace {
    margin: 12px;
    font-size: 30px;
}

.fa.fa-envelope {
    font-size: 35px;
}

.footer-item-p {
    list-style: none;
}

.footer-item-p:hover {
    color: #305a57;
}

.alert {
    color: #305a57;
}

/*javascript clase*/

.ocultar {
    display: none;
}

.btn-demo-github {
    background-color: #305a57;
    border-radius: 5px;
    color: white;
    padding: 2%;
    cursor: pointer;
    font-size: 12px;
    margin-top: 9%;
}

.btn-container {
    background-color: rgba(135, 179, 176, 0.1);
    position: absolute;
    top: 0px;
    display: flex;
    align-items: flex-end;
    justify-content: space-evenly;
    padding: 20px;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    transition: all 1.2s;
    transform: translateY(350px);
}

.card-container:hover .btn-container {
    transform: translateY(0);
}
/* fin seccion footer */

/* ---------------------Fin version escritorio---------------------
/*---------------------- Inicio Diseño Responsivo----------------- 
/* tablet */

@media (min-width:600) and (max-width: 900px) {
    .seccion-principal-conocimientos {
        flex-direction: column;
        align-items: center;
    }

    .seccion-presentacion {
        flex-direction: column;
        align-items: center;
    }

    .container-main-project {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

/* Fin seccion tablet */

/* celular */

@media (max-width: 600px) {
    .seccion-principal-conocimientos {
        flex-direction: column;
        align-items: center;
    }

    .titulos {
        font-size: 28px;
    }

    .seccion-presentacion {
        flex-direction: column;
        align-items: center;
    }

    .menu-responsive {
        display: flex;
        justify-content: flex-end;
        font-size: 30px;
        margin-right: 15px;
        margin-top: 10px;
    }

    .menu-nav__item {
        display: none;
    }

    .cite-item {
        margin: 15px;
    }

    .container-main-project {
        flex-direction: column;
        align-items: center;
    }

    .project-container {
        flex-direction: column;
        align-items: center;
    }

    .card-container {
        width: 290px;
        height: 295px;
    }

    .footer-list {
        display: flex;
        flex-direction: column;
    }

    .description-item-img {
        width: 300px;
        height: auto;
    }

    .menu-desplegable {
        flex-direction: column;
        list-style-type: none;
        background-color: #4bc5bd;
        transform: translateY(0);
        transition: all 2s;
        position: absolute;
        width: 100%;
    }

    .hidden {
        transform: translateY(-600px);
    }

    .lista_nav_movil {
        height: 60px;
        padding: 20px;
    }

    .lista_nav_movil a {
        margin: 5px;
    }

    .navegacion_movil {
        background-color: darkseagreen;
    }

}
